Page MenuHomePhabricator

Update mediawiki-core-qunit-selenium-jessie/mediawiki-extensions-qunit-jessie jobs from PHP5 to PHP7/HHVM
Closed, ResolvedPublic

Description

The patch to raise MW's requirements to PHP7+, https://gerrit.wikimedia.org/r/#/c/405216/, fails CI not because of phpunit, which is fine, but the two qunit jobs, whose mw-install-mysql.sh scripts still run on PHP5 not 7.

Event Timeline

Jdforrester-WMF triaged this task as Normal priority.Mar 23 2018, 5:35 PM
Jdforrester-WMF created this task.
Krinkle renamed this task from Move mediawiki-core-qunit-selenium-jessie and mediawiki-extensions-qunit-jessie to run mw-install-mysql.sh on PHP7/HHVM to Update mediawiki-core-qunit-selenium-jessie/mediawiki-extensions-qunit-jessie jobs from PHP5 to PHP7/HHVM.Mar 24 2018, 1:52 AM

Change 426115 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Move qunit jobs from Zend PHP 5.5 to PHP 7.0

https://gerrit.wikimedia.org/r/426115

Change 426834 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] [WIP] [DNM] resourceloader: Emit PHP/HHVM version as header

https://gerrit.wikimedia.org/r/426834

Change 427309 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] nodepool: Install mod_php7, not php5

https://gerrit.wikimedia.org/r/427309

Change 427309 merged by jenkins-bot:
[integration/config@master] nodepool: Install mod_php7, not php5

https://gerrit.wikimedia.org/r/427309

My patch doesn't seem to have worked:

jenkins@ci-jessie-wikimedia-1034457:~$ dpkg -l | grep apache2-mod-php
ii  libapache2-mod-php5                    5.6.33+dfsg-0+deb8u1                                amd64        server-side, HTML-embedded scripting language (Apache 2 module)

But I don't understand what is pulling in mod_php5. I definitely git pulled before refreshing the nodepool image, and then I deleted all of the existing instances...plus in the puppet run while building the image, I saw it install libapache2-mod-php7.0...I think.

2018-04-18 04:29:39,669 INFO nodepool.image.build.wmflabs-eqiad.snapshot-ci-jessie: Notice: /Stage[main]/Apache::Mod::Php7/Apache::Mod_conf[php7.0]/Exec[ensure_present_mod_php7.0]/returns: ERROR: Module php5 is enabled - cannot proceed due to conflicts. It needs to be disabled first!
2018-04-18 04:29:39,669 INFO nodepool.image.build.wmflabs-eqiad.snapshot-ci-jessie: Notice: /Stage[main]/Apache::Mod::Php7/Apache::Mod_conf[php7.0]/Exec[ensure_present_mod_php7.0]/returns: Considering dependency mpm_prefork for php7.0:
2018-04-18 04:29:39,669 INFO nodepool.image.build.wmflabs-eqiad.snapshot-ci-jessie: Notice: /Stage[main]/Apache::Mod::Php7/Apache::Mod_conf[php7.0]/Exec[ensure_present_mod_php7.0]/returns: Considering conflict mpm_event for mpm_prefork:
2018-04-18 04:29:39,670 INFO nodepool.image.build.wmflabs-eqiad.snapshot-ci-jessie: Notice: /Stage[main]/Apache::Mod::Php7/Apache::Mod_conf[php7.0]/Exec[ensure_present_mod_php7.0]/returns: Considering conflict mpm_worker for mpm_prefork:
2018-04-18 04:29:39,670 INFO nodepool.image.build.wmflabs-eqiad.snapshot-ci-jessie: Notice: /Stage[main]/Apache::Mod::Php7/Apache::Mod_conf[php7.0]/Exec[ensure_present_mod_php7.0]/returns: Module mpm_prefork already enabled
2018-04-18 04:29:39,670 INFO nodepool.image.build.wmflabs-eqiad.snapshot-ci-jessie: Notice: /Stage[main]/Apache::Mod::Php7/Apache::Mod_conf[php7.0]/Exec[ensure_present_mod_php7.0]/returns: Considering conflict php5 for php7.0:
2018-04-18 04:29:39,671 INFO nodepool.image.build.wmflabs-eqiad.snapshot-ci-jessie: Error: /usr/sbin/a2enmod php7.0 returned 1 instead of one of [0]
2018-04-18 04:29:39,671 INFO nodepool.image.build.wmflabs-eqiad.snapshot-ci-jessie: Error: /Stage[main]/Apache::Mod::Php7/Apache::Mod_conf[php7.0]/Exec[ensure_present_mod_php7.0]/returns: change from notrun to 0 failed: /usr/sbin/a2enmod php7.0 returned 1 instead of one of [0]

OK, after https://gerrit.wikimedia.org/r/427316 Apache now runs with PHP 7! Now just need to rebase and merge James's patch.

Change 426115 merged by jenkins-bot:
[integration/config@master] Move qunit jobs from Zend PHP 5.5 to PHP 7.0

https://gerrit.wikimedia.org/r/426115

Legoktm closed this task as Resolved.Apr 18 2018, 7:44 AM
Legoktm claimed this task.

Change 426834 abandoned by Krinkle:
[WIP] [DNM] resourceloader: Emit PHP/HHVM version as header

https://gerrit.wikimedia.org/r/426834